<?php


session_start();
require_once 'include/dbconfig.php';
require_once 'include/class.user.php';
include_once('header.php');

$user = new USER();

if (!$user->is_logged_in()) {
    echo '<div class="alert alert-danger" role="alert">You must be logged in to perform this action.</div>';
    exit;
}

if (!$user->is_main_admin()) {
    echo '<div class="alert alert-danger" role="alert">Only the main admin can create new admins.</div>';
    exit;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $uname = $_POST['username'];
    $email = $_POST['email'];
    $upass = $_POST['password'];
    $siteurl = $_POST['url'];
    $sitename = $_POST['sitename'];

    try { 
        if ($user->registerForm($uname, $email, $upass, $siteurl, $sitename)) {
            echo '<div class="alert alert-success" role="alert">New admin registered successfully!</div>';
            header("Location: add_admin.php");
            exit;
        } else {
            echo '<div class="alert alert-danger" role="alert">Error: Registration failed.</div>';
        }
    } catch (Exception $ex) {
        echo '<div class="alert alert-danger" role="alert">Error: ' . $ex->getMessage() . '</div>';
    }
}
?>

    <div class="container bg-dark ">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <h2 class="text-center mt-5 text-white">Register New Admin</h2>
                <form action="add_admin.php" method="POST">
                    <div class="form-group">
                        <label for="username"><i class="fas fa-user"></i> Username</label>
                        <input type="text" class="form-control" id="username" name="username" required>
                    </div>
                    <div class="form-group">
                        <label for="email"><i class="fas fa-envelope"></i> Email</label>
                        <input type="email" class="form-control" id="email" name="email" required>
                    </div>
                    <div class="form-group">
                        <label for="password"><i class="fas fa-lock"></i> Password</label>
                        <input type="password" class="form-control" id="password" name="password" required>
                    </div>
                    <div class="form-group">
                        <label for="url"><i class="fas fa-link"></i> Site URL</label>
                        <input type="url" class="form-control" id="url" name="url">
                    </div>
                    <div class="form-group">
                        <label for="sitename"><i class="fas fa-globe"></i> Site Name</label>
                        <input type="text" class="form-control" id="sitename" name="sitename">
                    </div>
                    <button type="submit" class="btn btn-primary btn-block"><i class="fas fa-user-plus"></i> Register</button>
                </form>
            </div>
        </div>
    </div>
<?php include_once('footer.php'); ?>

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.4/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>
