<?php
header('Content-Type: application/json');

$response = [
    'status' => 'error',
    'message' => 'Invalid request',
    'data' => null
];

$selectedCoin = isset($_GET['coin']) ? strtoupper(trim($_GET['coin'])) : null;

$url = "https://api.coinstore.com/api/v1/ticker/price";
$apiResponse = file_get_contents($url);
$apiData = json_decode($apiResponse, true);

if ($apiData && isset($apiData['data'])) {
    $coins = $apiData['data'];
    
    // Find the price of the selected coin
    if ($selectedCoin) {
        foreach ($coins as $coin) {
            if ($coin['symbol'] === $selectedCoin) {
                $response['status'] = 'success';
                $response['message'] = 'Coin found';
                $response['data'] = [
                    'coin' => $coin['symbol'],
                    'price' => $coin['price']
                ];
                break;
            }
        }
        
        if ($response['status'] !== 'success') {
            $response['message'] = 'Coin not found';
        }
    } else {
        $response['message'] = 'No coin specified';
    }
} else {
    $response['message'] = 'Failed to fetch data from external API';
}

echo json_encode($response);
