<?php

include_once('header.php');
 
require_once 'include/dbconfig.php';
require_once 'include/class.user.php';

$user = new USER();

if (!$user->is_logged_in()) {
    echo '<div class="alert alert-danger" role="alert">You must be logged in to perform this action.</div>';
    exit;
}

if (!$user->is_main_admin()) {
    echo '<div class="alert alert-danger" role="alert">Only the main admin can manage other admins.</div>';
    exit;
}
if (isset($_POST['delete_admin'])) {
    $admin_id = $_POST['admin_id'];

    if (!empty($admin_id)) {
        try {
        if ($user->deleteAdmin($admin_id)) {
            echo '<div class="alert alert-success" role="alert">Admin deleted successfully!</div>';
        } else {
            echo '<div class="alert alert-danger" role="alert">Error: Could not delete admin.</div>';
        }
    } catch (Exception $ex) {
        echo '<div class="alert alert-danger" role="alert">Error: ' . $ex->getMessage() . '</div>';
    }
    } else {
        echo '<div class="alert alert-danger" role="alert">Error: No Admin ID provided.</div>';
    }
}

$admins = $user->getAdmins();
?>


    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <h2 class="text-center mt-5 text-white">Manage Admins</h2>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Username</th>
                            <th>Email</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody class="text-white">
                        <?php foreach ($admins as $admin): ?>
                            <tr>
                                <td class="text-white"><?php echo $admin['id']; ?></td>
                                <td class="text-white"><?php echo $admin['username']; ?></td>
                                <td class="text-white"><?php echo $admin['email']; ?></td>
                                <td class="text-white">
                                    
                                    <form method="POST" action="delete_admin.php" onsubmit="return confirm('Are you sure you want to delete this admin?');">
                                        <input type="hidden" name="admin_id" value="<?php echo $admin['id']; ?>">
                                        <button type="submit" name="delete_admin" class="btn btn-danger"><i class="fas fa-ban"></i> Ban</button>
                                    </form>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
 <?php include_once('footer.php'); ?>

