<?php
include_once('header.php');
$gamesList = [];
$message = "";
$alert = "";

// اضافه کردن بازی جدید
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['action']) && $_POST['action'] == 'create_game') {
    $name = $_POST["name"];
    if (empty($name)) {
        $message = $lang['fill_all_data'];
        $alert = "alert alert-danger";
    } else {
        $today = date('YmdHis');
        $rand = rand(0, $today);
        $token = "game" . substr($rand, -4);
        if ($stmt = $user_home->prepareQuery("INSERT INTO games(name, token) VALUES(?, ?)")) {
            $stmt->bind_param('ss', $name, $token);
            if ($stmt->execute()) {
                if ($stmt = $user_home->prepareQuery("CREATE TABLE IF NOT EXISTS {$token}_variables (
                      game_id int(11) NOT NULL,
                      user_id varchar(64) NOT NULL,
                      PRIMARY KEY (user_id),
                      UNIQUE KEY user_id (user_id),
                      KEY game_id (game_id)
                ) ENGINE=InnoDB DEFAULT CHARSET=utf8;")) {
                    if ($stmt->execute()) {
                        if ($stmt = $user_home->prepareQuery("ALTER TABLE {$token}_variables ADD CONSTRAINT {$token}_variables FOREIGN KEY (game_id) REFERENCES games(id) ON DELETE CASCADE ON UPDATE CASCADE;")) {
                            if ($stmt->execute()) {
                                $message = $lang['game_created'];
                                $alert = "alert alert-success";
                                header("Location: " . $_SERVER['PHP_SELF']);
                                exit;
                            }
                        }
                    }
                }
            } else {
                $message = $lang['database_error'];
                $alert = "alert alert-danger";
            }
        }
    }
}

// لیست بازی‌ها
if ($stmt = $user_home->runQuery("SELECT * FROM games")) {
    while ($row = $stmt->fetch_array(MYSQLI_ASSOC)) {
        $gamesList[] = $row;
    }
}

// حذف کارت
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['action']) && $_POST['action'] == 'delete_card') {
    $card_id = $_POST['card_id'] ?? 0;
    if ($card_id) {
        if ($stmt = $user_home->prepareQuery("DELETE FROM cards WHERE id = ?")) {
            $stmt->bind_param('i', $card_id);
            if ($stmt->execute()) {
                $message = $lang['card_deleted_success'];
                $alert = "alert alert-success";
            } else {
                $message = $lang['database_error'];
                $alert = "alert alert-danger";
            }
        }
    }
}

// ویرایش کارت
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['action']) && $_POST['action'] == 'save_card') {
    $card_id = $_POST['card_id'] ?? 0;
    $name = $_POST['name'] ?? '';
    $card_image = $_POST['card_image'] ?? '';
    $upgrade_cost = $_POST['upgrade_cost'] ?? 0;
    $profit = $_POST['profit'] ?? 0;
    $category = $_POST['category'] ?? '';

    if ($card_id && $name && $card_image && $upgrade_cost && $profit && $category) {
        if ($stmt = $user_home->prepareQuery("UPDATE cards SET name = ?, card_image = ?, upgrade_cost = ?, profit = ?, category = ? WHERE id = ?")) {
            $stmt->bind_param('ssiiii', $name, $card_image, $upgrade_cost, $profit, $category, $card_id);
            if ($stmt->execute()) {
                $message = $lang['card_updated_success'];
                $alert = "alert alert-success";
                header("Location: " . $_SERVER['PHP_SELF']);
                exit;
            } else {
                $message = $lang['database_error'];
                $alert = "alert alert-danger";
            }
        }
    }
}

// اضافه کردن کارت جدید
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['action']) && $_POST['action'] == 'create_card') {
    $game_id = $_POST['game_id'];
    $name = $_POST['name'];
    $upgrade_cost = $_POST['upgrade_cost'];
    $profit = $_POST['profit'];
    $category = $_POST['category'];

    // پردازش آپلود تصویر
    $target_dir = "uploads/";
    $target_file = $target_dir . basename($_FILES["card_image"]["name"]);
    $imageFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));
    $check = getimagesize($_FILES["card_image"]["tmp_name"]);

    if ($check !== false) {
        if (!in_array($imageFileType, ["jpg", "png", "jpeg"])) {
            $message = $lang['invalid_file_format'];
            $alert = "alert alert-danger";
        } else {
            list($width, $height) = getimagesize($_FILES["card_image"]["tmp_name"]);
            if ($width != 300 || $height != 300) {
                $message = $lang['invalid_image_size'];
                $alert = "alert alert-danger";
            } else {
                if (move_uploaded_file($_FILES["card_image"]["tmp_name"], $target_file)) {
                    $card_image = $target_file;
                    if ($stmt = $user_home->prepareQuery("INSERT INTO cards(game_id, name, card_image, upgrade_cost, profit, category) VALUES(?, ?, ?, ?, ?, ?)")) {
                        $stmt->bind_param('issiii', $game_id, $name, $card_image, $upgrade_cost, $profit, $category);
                        if ($stmt->execute()) {
                            $message = $lang['card_added_success'];
                            $alert = "alert alert-success";
                            header("Location: " . $_SERVER['PHP_SELF']);
                            exit;
                        } else {
                            $message = $lang['database_error'];
                            $alert = "alert alert-danger";
                        }
                    }
                } else {
                    $message = $lang['upload_failed'];
                    $alert = "alert alert-danger";
                }
            }
        }
    } else {
        $message = $lang['not_an_image'];
        $alert = "alert alert-danger";
    }
}
?>


<!-- Hidden forms for delete and save actions -->
<form id="deleteCardForm" action="" method="POST" style="display:none;">
    <input type="hidden" name="action" value="delete_card">
    <input type="hidden" id="delete_card_id" name="card_id">
</form>

<div id="message" <?= ($message == '' ? 'style="display:none"' : ''); ?>>
    <div class="<?= $alert; ?> alert-dismissible fade show" role="alert" id="alert">
        <?= $message; ?>
        <button type="button" class="close" data-dismiss="alert" aria-label="<?= $lang['close']; ?>">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
</div>

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="index.php"><?= $lang['dashboard']; ?></a></li>
        <li class="breadcrumb-item active" aria-current="page"><?= $lang['games']; ?></li>
    </ol>
</nav>

<div class="container-fluid">
    <div class="row">
        <!-- فرم اضافه کردن بازی -->
        <div class="col-12">
            <div class="widget">
                <div class="widget-header">
                    <i class="fas fa-plus-circle"></i>
                    <h3><?= $lang['add_game']; ?></h3>
                </div>
                <div class="widget-content">
                    <form action="" method="POST" id="addgame">
                        <input type="hidden" id="action" name="action" value="create_game" />
                        <div class="form-group">
                            <label for="name"><?= $lang['name']; ?></label>
                            <input type="text" id="name" class="form-control" name="name" required>
                        </div>
                        <button type="submit" class="btn btn-primary"><?= $lang['add']; ?></button>
                    </form>
                </div>
            </div>
        </div>

        <!-- جدول بازی‌ها -->
	<div class="col-12">
		<div class="widget widget-table">
			<div class="widget-header">
				<i class="fas fa-gamepad"></i>
				<h3> <?= $lang['games']; ?></h3>
				<button type="button" onclick="document.querySelector('#addgame').scrollIntoView({ behavior: 'smooth' });" class="btn btn-success btn-sm"><i class="fas fa-plus-circle"></i>&nbsp;<?= $lang['add_game']; ?></button>
			</div>
			<div class="widget-content">
				<table class="table table-bordered table-striped table-hover"  id="paginated">
					<thead class="thead-inverse">
						<tr>
							<th width="5%"><?= $lang['id']; ?></th>
							<th width="20%"><?= $lang['name']; ?></th>
							<th width="15%"><?= $lang['token']; ?></th>
							<th class="td-actions" width="40%"></th>
							<th class="td-actions" width="20%"> </th>
							</tr>
					</thead>
					<tbody>
						<?php if(count($gamesList)==0) {
							echo '<tr><td colspan="5"><div class="alert alert-danger">'.$lang["no_game"].'</div></td></tr>';
						} ?>
						<?php foreach ($gamesList as $game) : ?>
						<tr id="row<?= $game['id']; ?>">
							<td style="font-size: 15px;"><?= $game['id']; ?></td>
							<td style="font-size: 15px;" id="name<?= $game['id']; ?>"><?= $game['name']; ?></td>
							<td style="text-align:left; direction: ltr; font-size: 15px;"><input type="text" id="token" value="<?= $game['token']; ?>" class="form-control" onclick="this.select();" readonly /></td>
							<td>
								<a href="variables.php?token=<?= $game['token']; ?>" class="btn btn-primary btn-sm"><i class="fab fa-fonticons"></i>&nbsp;&nbsp;<?= $lang['manage_variables']; ?></i></a>
								<a href="values.php?id=<?= $game['id']; ?>&token=<?= $game['token']; ?>" class="btn btn-primary btn-sm"><i class="fas fa-database"></i>&nbsp;&nbsp;<?= $lang['manage_values']; ?></i></a>
							</td>
							<td>
								<button type="button" class="btn btn-warning btn-sm" id="edit_button<?= $game['id']; ?>" onclick="edit_game('<?= $game['id']; ?>');"><i class="fas fa-edit"></i>&nbsp;&nbsp;<?= $lang['edit']; ?></button>
								<button type="button" class="btn btn-success btn-sm" style="display: none; margin-left: 3px;" id="save_button<?= $game['id']; ?>" onclick="save_game('<?= $game['id']; ?>');"><i class="fas fa-save"></i>&nbsp;&nbsp;<?= $lang['save']; ?></button>
								<button type="button" class="btn btn-danger btn-sm" id="delete_game<?= $game['id']; ?>"><i class="far fa-trash-alt"></i>&nbsp;&nbsp;<?= $lang['delete']; ?></a>
<script type="text/javascript">
$('#delete_game<?= $game['id']; ?>').on("click", function () {
	$.confirm({
		title: "<?= $lang['delete']; ?> <?= $game['name']; ?>!",
		content: "<?= $lang['delete_game_question']; ?>",
		theme: 'bootstrap',
		buttons: {
			Yes: {
				text: "<?= $lang['yes']; ?>",
				btnClass: "btn-blue",
				keys: [
					"enter",
					"shift"
				],
				action: function () {
					delete_game("<?= $game['id']; ?>", "<?= $game['token']; ?>");
				}
			},
			Cancel: {
				text: "<?= $lang['cancel']; ?>",
				action: function () {}
			}
		}
	});
});
</script>
							</td>
						</tr>
						<?php endforeach; ?>
					</tbody>
				</table>
			</div>
		</div>
	</div>

        <!-- فرم اضافه کردن کارت -->
        <div class="col-12">
            <div class="widget">
                <div class="widget-header">
                    <i class="fas fa-plus-circle"></i>
                    <h3> <?= $lang['add_card']; ?></h3>
                </div>
                <div class="widget-content">
                    <form action="" method="POST" enctype="multipart/form-data" id="addcard">
                        <input type="hidden" id="action" name="action" value="create_card" />
                        <div class="form-group">
                            <label for="game_id"><?= $lang['select_game']; ?></label>
                            <select id="game_id" class="form-control" name="game_id" required>
                                <?php foreach ($gamesList as $game) : ?>
                                    <option value="<?= $game['id']; ?>"><?= $game['name']; ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="name"><?= $lang['card_name']; ?></label>
                            <input type="text" id="name" class="form-control" name="name" required>
                        </div>
                        <div class="form-group">
                            <label for="card_image"><?= $lang['card_image']; ?></label>
                            <input type="file" id="card_image" class="form-control" name="card_image" accept="image/*" required>
                        </div>
                        <div class="form-group">
                            <label for="upgrade_cost"><?= $lang['upgrade_cost']; ?></label>
                            <input type="number" id="upgrade_cost" class="form-control" name="upgrade_cost">
                        </div>
                        <div class="form-group">
                            <label for="profit"><?= $lang['profit']; ?></label>
                            <input type="number" id="profit" class="form-control" name="profit">
                        </div>
                        <div class="form-group">
                            <label for="category"><?= $lang['category']; ?></label>
                            <input type="text" id="category" class="form-control" name="category">
                        </div>
                        <button type="submit" class="btn btn-primary"><?= $lang['add_card']; ?></button>
                    </form>
                </div>
            </div>
        </div>

        <!-- جدول کارت‌ها -->
        <div class="col-12">
            <div class="widget widget-table">
                <div class="widget-header d-flex justify-content-between align-items-center">
                    <div class="d-flex align-items-center">
                        <i class="fas fa-table"></i>
                        <h3 class="mb-0 ml-2"><?= $lang['cards']; ?></h3>
                    </div>
                </div>
                <div class="widget-content">
                    <div class="table-responsive">
                        <table class="table table-bordered table-striped table-hover" id="cardsTable">
                            <thead class="thead-inverse">
                                <tr>
                                    <th width="5%"><?= $lang['id']; ?></th>
                                    <th width="15%"><?= $lang['game_name']; ?></th>
                                    <th width="15%"><?= $lang['card_name']; ?></th>
                                    <th width="10%"><?= $lang['card_image']; ?></th>
                                    <th width="10%"><?= $lang['upgrade_cost']; ?></th>
                                    <th width="10%"><?= $lang['profit']; ?></th>
                                    <th width="10%"><?= $lang['category']; ?></th>
                                    <th class="td-actions" width="25%"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php 
                                $stmt = $user_home->runQuery("SELECT cards.*, games.name as game_name FROM cards INNER JOIN games ON cards.game_id = games.id");
                                while ($card = $stmt->fetch_array(MYSQLI_ASSOC)) : ?>
                                <tr id="row<?= $card['id']; ?>">
                                    <td><?= $card['id']; ?></td>
                                    <td><?= $card['game_name']; ?></td>
                                    <td class="card-name"><?= $card['name']; ?></td>
                                    <td><img src="<?= $card['card_image']; ?>" style="width: 50px; height: auto;" class="img-fluid card-image"></td>
                                    <td class="card-upgrade-cost"><?= $card['upgrade_cost']; ?></td>
                                    <td class="card-profit"><?= $card['profit']; ?></td>
                                    <td class="card-category"><?= $card['category']; ?></td>
                                    <td>
                                        <button type="button" class="btn btn-warning btn-sm" id="edit_button<?= $card['id']; ?>" onclick="edit_card('<?= $card['id']; ?>');">
                                            <i class="fas fa-edit"></i>&nbsp;&nbsp;<?= $lang['edit']; ?>
                                        </button>
                                        <button type="button" class="btn btn-danger btn-sm" onclick="delete_card('<?= $card['id']; ?>');">
                                            <i class="far fa-trash-alt"></i>&nbsp;&nbsp;<?= $lang['delete']; ?>
                                        </button>
                                    </td>
                                </tr>
                                <?php endwhile; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Bootstrap Modal for Editing Cards -->
<div class="modal fade" id="editCardModal" tabindex="-1" role="dialog" aria-labelledby="editCardModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="editCardModalLabel"><?= $lang['edit_card']; ?></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="<?= $lang['close']; ?>">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form id="editCardForm" action="" method="POST">
        <div class="modal-body">
          <input type="hidden" name="action" value="save_card">
          <input type="hidden" id="edit_card_id" name="card_id">

          <div class="form-group">
            <label for="edit_name"><?= $lang['card_name']; ?></label>
            <input type="text" class="form-control" id="edit_name" name="name" required>
          </div>

          <div class="form-group">
            <label for="edit_card_image"><?= $lang['card_image']; ?></label>
            <input type="text" class="form-control" id="edit_card_image" name="card_image" required>
          </div>

          <div class="form-group">
            <label for="edit_upgrade_cost"><?= $lang['upgrade_cost']; ?></label>
            <input type="number" class="form-control" id="edit_upgrade_cost" name="upgrade_cost" required>
          </div>

          <div class="form-group">
            <label for="edit_profit"><?= $lang['profit']; ?></label>
            <input type="number" class="form-control" id="edit_profit" name="profit" required>
          </div>

          <div class="form-group">
            <label for="edit_category"><?= $lang['category']; ?></label>
            <input type="text" class="form-control" id="edit_category" name="category" required>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal"><?= $lang['close']; ?></button>
          <button type="submit" class="btn btn-primary"><?= $lang['save_changes']; ?></button>
        </div>
      </form>
    </div>
  </div>
</div>

<script type="text/javascript">

function delete_game(id, token) {
    if (window.XMLHttpRequest) {
        xmlhttp = new XMLHttpRequest();
    } else {
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    var url = "ajax.php?action=deleteGame&id=" + id + "&token=" + token;

    xmlhttp.open("GET", url, true);
    xmlhttp.onreadystatechange = function() {
        if (this.readyState == 4 && this.status == 200) {
            document.getElementById("message").style.display = "block";
            if (xmlhttp.responseText == true) {
                document.getElementById("alert").className = "alert alert-success";
                document.getElementById("alert").innerHTML = "<?= $lang['game_deleted_success']; ?>";
                var row = document.getElementById("row" + id);
                row.parentNode.removeChild(row);
            } else {
                document.getElementById("alert").className = "alert alert-danger";
                document.getElementById("alert").innerHTML = "<?= $lang['game_deleted_failed']; ?>";
            }
            setTimeout(function() {
                $('#message').fadeOut('slow');
            }, 3000);
        }
    };
    xmlhttp.send();
}

var gameName;
function edit_game(id) {
	gameName = document.getElementById("name" + id).innerHTML;
	document.getElementById("name" + id).innerHTML = "<input type='text' class='form-control' id='name_text" + id + "' value='" + gameName + "'>";
	document.getElementById("edit_button" + id).style.display = "none";
	document.getElementById("save_button" + id).style.display = "inline-block";
}

function save_game(id) {
	var newname = document.getElementById("name_text" + id).value;

	if (window.XMLHttpRequest) {
		xmlhttp = new XMLHttpRequest();
	} else {
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	var url = "ajax.php?action=editGame&id=" + id + "&name=" + newname;

	xmlhttp.open("GET", url, true);
	xmlhttp.onreadystatechange = function () {
		if (this.readyState == 4 && this.status == 200) {
			document.getElementById("edit_button" + id).style.display = "inline-block";
			document.getElementById("save_button" + id).style.display = "none";
			document.getElementById("message").style.display = "block";
			if (xmlhttp.responseText == true) {
				document.getElementById("alert").className = "alert alert-success alert-dismissible fade show";
				document.getElementById("name" + id).innerHTML = newname;
				document.getElementById("alert").innerHTML = "<?= $lang['game_edit_success']; ?>";
			} else {
				document.getElementById("name" + id).innerHTML = gameName;
				document.getElementById("alert").className = "alert alert-danger alert-dismissible fade show";
				document.getElementById("alert").innerHTML = "<?= $lang['game_edit_failed']; ?>";
			}
			setTimeout(function () {
				$('#message').fadeOut('slow');
			}, 3000);
		}
	};
	xmlhttp.send();
}

function delete_card(id) {
    if (confirm("آیا مطمئن هستید که می‌خواهید این کارت را حذف کنید؟")) {
        document.getElementById("delete_card_id").value = id;
        document.getElementById("deleteCardForm").submit();
    }
}

function edit_card(id) {
    var row = document.getElementById("row" + id);
    var cardName = row.querySelector(".card-name").innerText;
    var cardImage = row.querySelector(".card-image").src;
    var upgradeCost = row.querySelector(".card-upgrade-cost").innerText;
    var profit = row.querySelector(".card-profit").innerText;
    var category = row.querySelector(".card-category").innerText;

    // Populate modal fields with existing data
    document.getElementById('edit_card_id').value = id;
    document.getElementById('edit_name').value = cardName;
    document.getElementById('edit_card_image').value = cardImage;
    document.getElementById('edit_upgrade_cost').value = upgradeCost;
    document.getElementById('edit_profit').value = profit;
    document.getElementById('edit_category').value = category;

    // Show the modal
    $('#editCardModal').modal('show');
}
</script>

<?php include_once('footer.php'); ?>
