
<?php
	ob_start();
	if (!isset($_SESSION)) {
		session_start();
	}
	if (!file_exists('install/lock')) {
		header('Location: install/index.php?lang=en');
		return;
	}

	$available_langs = array('en','fa');

	if (isset($_SESSION['lang'])==false) {
		$_SESSION['lang'] = 'fa';
	}
	if(isset($_GET['lang']) && $_GET['lang'] != ''){
		if(in_array($_GET['lang'], $available_langs)) {
			unset($_SESSION['lang']);
			$_SESSION['lang'] = $_GET['lang'];
		}
	}
	$language = $_SESSION['lang'];

	include('language/'.$_SESSION['lang'].'.php');

	require_once 'include/class.user.php';

	$user_home = new USER();
	$site_url = "";
	$main_admin = true;
	if(!$user_home->is_main_admin()) {
		$main_admin = false;
	}
	if ($stmt = $user_home->runQuery("SELECT * FROM users WHERE id=1")) {
		while ($rowa = $stmt->fetch_array(MYSQLI_ASSOC)) {
			$site_url = $rowa['url'];
			$user_email = $rowa['email'];
			$user_name = $rowa['username'];
			$site_title = $rowa['sitename'];
			$version = $rowa['version'];
		}
	}

	if (strpos($_SERVER['REQUEST_URI'], 'settings') !== false) {
		$title = $lang['settings'].' - '.$site_title;
	} else if (strpos($_SERVER['REQUEST_URI'], 'admin') !== false) {
		$title = $lang['dashboard'].' - '.$site_title;
	} else if (strpos($_SERVER['REQUEST_URI'], 'update') !== false) {
		$title = $lang['update'].' - '.$site_title;
	} else if (strpos($_SERVER['REQUEST_URI'], 'games') !== false) {
		$title = $lang['games'].' - '.$site_title;
	} else if (strpos($_SERVER['REQUEST_URI'], 'variables') !== false) {
		$title = $lang['manage_variables'].' - '.$site_title;
	} else if (strpos($_SERVER['REQUEST_URI'], 'values') !== false) {
		$title = $lang['manage_values'].' - '.$site_title;
	} else {
		$title = $site_title;
	}

	if(!$user_home->is_logged_in()) {
		$user_home->redirect('login.php');
	}
?>
<!DOCTYPE html>
<html lang="<?= $language; ?>">

<head>
	<meta charset="utf-8">
	<title><?= $title; ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<link rel="icon" type="image/png" href="assets/img/favicon.ico">
	<link href="assets/css/tether.css" rel="stylesheet">
	<link href="assets/css/bootstrap.css" rel="stylesheet">
	<link href="assets/css/font-awesome-all.min.css" rel="stylesheet">
	<link href="assets/css/dashboard.css" rel="stylesheet">
	<link href="assets/css/jquery-confirm.css" rel="stylesheet" type="text/css" />
	<link href="assets/css/balloon.css" rel="stylesheet" type="text/css" />
	<link href="assets/css/jquery.dataTables-<?= $language; ?>.css" rel="stylesheet" type="text/css" />
	<link href='assets/css/sidebar.css' rel='stylesheet'>
</head>

<body>
<header class="header bg-primary text-white">
    <div class="hamburger" id="sidebarToggle" style="color: white;">
                    <div class="line"></div>
                    <div class="line"></div>
                    <div class="line"></div>
                </div>
    <div class="burger-container">
        <div class="row align-items-center burger">
            <!-- نوار همبرگر -->
            <div class="col-2 text-center text-md-left order-1 order-md-1">
                
            </div>

          <div class="col-6 col-md-4 text-center text-md-right order-2 order-md-2">
    <a href="index.php" class="d-flex align-items-center justify-content-center justify-content-md-end">
        <img src="assets/img/logo.png" alt="OnStorage" class="ml-2" style="height: 40px;">
        <span class='text-white'><?= $lang['onstorage']; ?></span>
    </a>
</div>


<div class="col-4 col-md-3 text-center order-3 order-md-3 text-md-left">
                <?php if ($language == 'en') { ?>
                <a href="<?php if (strpos($_SERVER['REQUEST_URI'], '?') !== false) {
                    if (strpos($_SERVER['REQUEST_URI'], '&lang=fa') === false) {
                        echo $_SERVER['REQUEST_URI'] . '&lang=fa';
                    } else {
                        echo str_replace('lang=en', 'lang=fa', $_SERVER['REQUEST_URI']);
                    }
                } else {
                    echo '?lang=fa';
                } ?>" class="text-decoration-none text-white">
                    <i class="fas fa-language"></i> <?= $lang['persian']; ?>
                </a>
                <?php } else { ?>
                <a href="<?php if (strpos($_SERVER['REQUEST_URI'], '?') !== false) {
                    if (strpos($_SERVER['REQUEST_URI'], '&lang=en') === false) {
                        echo $_SERVER['REQUEST_URI'] . '&lang=en';
                    } else {
                        echo str_replace('lang=fa', 'lang=en', $_SERVER['REQUEST_URI']);
                    } 
                } else {
                    echo '?lang=en';
                } ?>" class="text-decoration-none text-white">
                    <i class="fas fa-language"></i> <?= $lang['english']; ?>
                </a>
                <?php } ?>
            </div>


        </div>
    </div>
</header>

<div class="content-wrap">
</div>


	<div class="sidebar sidebar-hide-to-small">
		<div class="nano">
			<div class="nano-content" style="">
			    <div class=" text-center  order-4 order-md-1 mt-2">
    <span class="ml-2 text-white">
        <?php echo "علیرضا خوش آمدید، " . ($user_name ?: "Guest") ?>
    </span>
</div>

				<ul class="navbar-nav <?php if ($language == 'fa') {
											echo 'ml-auto';
										} else {
											echo 'mr-auto';
										} ?>">
					<li class="label"><?= $lang['dashboard']; ?></li>
					<?php if ($main_admin == true) {   ?>
					<li class="nav-item <?php if ((strpos($_SERVER['REQUEST_URI'], 'index') !== false) or (strpos($_SERVER['REQUEST_URI'], '.php') == false)) {
												echo 'active';
											} ?>">
						<a class="nav-link" href="index.php"><i class="fas fa-tachometer-alt"></i> <?= $lang['dashboard']; ?></a>
					</li>
					<?php } ?>
					<li class="label"><?= $lang['games']; ?></li>

					<li class="nav-item <?php if ((strpos($_SERVER['REQUEST_URI'], 'games') !== false) or (strpos($_SERVER['REQUEST_URI'], 'variables') !== false) or (strpos($_SERVER['REQUEST_URI'], 'values') !== false)) {
												echo 'active';
											} ?>">
						<a class="nav-link" href="games.php"><i class="fas fa-gamepad"></i> <?= $lang['games']; ?></a>
					</li>
					<?php if ($main_admin == true) {   ?>
						<li class="label"><?= $lang['settings']; ?></li>

					<li class="nav-item <?php if (strpos($_SERVER['REQUEST_URI'], 'settings') !== false) {
												echo 'active';
											} ?>">
						<a class="nav-link" href="settings.php"><i class="fas fa-cog"></i> <?= $lang['settings']; ?></a>
					</li>
					<li class="nav-item <?php if (strpos($_SERVER['REQUEST_URI'], 'manage_admins') !== false) {
												echo 'active';
											} ?>">
						<a class="nav-link" href="manage_admins.php"><i class="fas fa-plus"></i> <?= $lang['Manage Admin']; ?></a>
					</li>
					<?php if (file_exists('update.php')) { ?>
					<li class="nav-item <?php if (strpos($_SERVER['REQUEST_URI'], 'update') !== false) {
												echo 'active';
											} ?>">
						<a class="nav-link" href="update.php"><i class="fas fa-sync-alt fa-spin"></i> <?= $lang['update']; ?></a>
					</li>
					<?php } ?>
					<?php } ?>
					<li class="nav-item">
						<a class="nav-link" href="logout.php"><i class="fas fa-sign-out-alt"></i> <?= $lang['logout']; ?></a>
					</li>
				</ul>
				<?php include_once('footer.php'); ?>
				<div class="nano-pane">
					<div class="nano-slider" style="height: 753px; transform: translate(0px, 0px);"></div>
				</div>
			</div>
		</div>
	</div>
<div class="sidebar icon-only">
    <ul>
        <li><a href="index.php"><i class="fas fa-tachometer-alt"></i><span>Home</span></a></li>
        <li><a href="games.php"><i class="fas fa-gamepad"></i><span>Profile</span></a></li>
        <?php if ($main_admin == true) {   ?>

        <li><a href="settings.php"><i class="fas fa-cog"></i><span>Settings</span></a></li>
        <? } ?>
        <li><a href="logout.php"><i class="fas fa-sign-out-alt"></i></i><span>Logout</span></a></li>
    </ul>
</div>
	<script>
		document.addEventListener("DOMContentLoaded", function () {
			var sidebarToggle = document.getElementById("sidebarToggle");
			var sidebar = document.querySelector(".sidebar");
			var contentWrap = document.querySelector(".content-wrap");

			sidebarToggle.addEventListener("click", function () {
				sidebar.classList.toggle("active");
				contentWrap.classList.toggle("shifted");
			});
		});
	</script>
	<div class="container ">