<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require_once 'include/dbconfig.php';

$database = new Database();
$conn = $database->dbConnection();

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} else {
    echo "Connection successful!<br>";
}

$query = "
    SELECT HOUR(FROM_UNIXTIME(last_active)) as hour, COUNT(*) as count
    FROM users_online
    WHERE DATE(FROM_UNIXTIME(last_active)) = CURDATE()
    GROUP BY HOUR(FROM_UNIXTIME(last_active))
    ORDER BY hour ASC";

if ($stmt = $conn->prepare($query)) {
    $stmt->execute();
    
    // متغیرهایی برای ذخیره نتایج
    $stmt->bind_result($hour, $count);
    $onlineData = [];
    
    // دریافت نتایج
    while ($stmt->fetch()) {
        $onlineData[] = [
            'hour' => $hour,
            'count' => $count
        ];
    }
    
    $stmt->close();
    echo "Query executed successfully!";
    print_r($onlineData); // برای بررسی نتایج
} else {
    die("Query failed: " . $conn->error);
}

$conn->close();
?>
